<template>
  <div>
    <h1>Mi primer componente</h1>
    <!----Interpolación-->
    <h2>{{ subtitulo }}</h2>
    <input type="number" id="num1" placeholder="numero 1" v-model="numero_1" />
    <br />
    <br />
    <input type="number" id="num2" placeholder="numero 2" v-model="numero_2" />
    <br />
    <button @click="sumar(numero_1, numero_2)">Sumar</button>
    <button @click="multiplicar">Multiplicar</button>
    <button @click="dividir">Dividir</button>
    <br />
    <br />
    <span id="resultado">Resultado: {{ resultado }}</span>
  </div>
</template>

<script>
export default {
  //datos que manipulará el componente (variables "globales")
  data: () => {
    return {
      subtitulo: "Calculadora",
      numero_1: null,
      numero_2: null,
      resultado: "",
    };
  },
  methods: {
    //método sumar
    sumar(numero_1, numero_2) {
      console.log("metodo sumar");
      //Sin casteo concatena los valores como string
      console.log("Concatena: ", numero_1 + numero_2);
      //sumar valores
      this.resultado = parseInt(numero_1) + parseInt(numero_2);
    },
    //Realizar el método de multiplicar SIN recibir parámetros
    multiplicar() {
      this.resultado = parseFloat(this.numero_1) * parseFloat(this.numero_2);
    },
    dividir() {
      if (parseFloat(this.numero_2) == 0) {
        alert("No es posible realizar la división");
      } else {
        this.resultado = parseFloat(this.numero_1) / parseFloat(this.numero_2);
      }
    },
  },
  //Es la primera función que se ejecuta cuando se crea el componente
  created: () => {
    console.log("Calculadora creada");
  },
};
</script>

<style>
</style>
